// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include "monopdfield.h"

MonopdField::MonopdField(int i) {
	id = i;
	name = "Noname";
	picture = "";
	money = 0;
	buyable=false;
	price = 0;
	owner = 0;
	mortageVal = 0;
	unmortageVal = 0;
	mortaged=false;
	canToggleMortage=false;
	for (int i = 0; i < 5; i++) rent[i] = 0;
	group = -1;
	color = QColor(0,0,0,0);
	housePrice = 0;
	sellHousePrice = 0;
	houses = 0;
	canBuyHouse = false;
	canSellHouse = false;
	rent[0] = -1;
}

MonopdField::~MonopdField() {
}

int MonopdField::getId() {
	return id;
}

QString MonopdField::getName() {
	return name;
}

QString MonopdField::getPicture() {
	return picture;
}

int MonopdField::getMoney() {
	return money;
}

bool MonopdField::getBuyable() {
	return buyable;
}

int MonopdField::getPrice() {
	return price;
}

int MonopdField::getOwner() {
	return owner;
}

int MonopdField::getMortageVal() {
	return mortageVal;
}

int MonopdField::getUnmortageVal() {
	return unmortageVal;
}

bool MonopdField::getMortaged() {
	return mortaged;
}

bool MonopdField::getCanToggleMortage() {
	return canToggleMortage;
}

int MonopdField::getRent(int i) {
	if (i < 0) return 0;
	if (i > 5) return 0;
	return rent[i];
}

int MonopdField::getGroup() {
	return group;
}

QColor MonopdField::getColor() {
	return color;
}

int MonopdField::getHousePrice() {
	return housePrice;
}

int MonopdField::getSellHousePrice() {
	return sellHousePrice;
}

int MonopdField::getHouses() {
	return houses;
}

bool MonopdField::getCanBuyHouse() {
	return canBuyHouse;
}

bool MonopdField::getCanSellHouse() {
	return canSellHouse;
}

QRect MonopdField::getFieldRect() {
	return fieldRect;
}

bool MonopdField::isInRect(int x, int y) {
	return (x > fieldRect.x()) && (x < fieldRect.x()+fieldRect.width()) &&
		   (y > fieldRect.y()) && (y < fieldRect.y()+fieldRect.height());
}

void MonopdField::setName(QString n) {
	name = n;
}

void MonopdField::setPicture(QString p) {
	picture = p;
}

void MonopdField::setMoney(int m) {
	money = m;
}

void MonopdField::setBuyable(bool b) {
	buyable = b;
}

void MonopdField::setPrice(int p) {
	price = p;
}

void MonopdField::setOwner(int p) {
	owner = p;
}

void MonopdField::setMortageVal(int mv) {
	mortageVal=mv;
}

void MonopdField::setUnmortageVal(int umv) {
	unmortageVal=umv;
}

void MonopdField::setMortaged(bool m) {
	mortaged=m;
}

void MonopdField::setCanToggleMortage(bool ctm) {
	canToggleMortage=ctm;
}

void MonopdField::setRent(int i, int r) {
	if (i < 0) return;
	if (i > 5) return;
	rent[i] = r;
}

void MonopdField::setGroup(int g) {
	group = g;
}

void MonopdField::setColor(QColor col) {
	color = col;
}

void MonopdField::setHousePrice(int hp) {
	housePrice = hp;
}

void MonopdField::setSellHousePrice(int shp) {
	sellHousePrice = shp;
}

void MonopdField::setHouses(int h) {
	houses = h;
}

void MonopdField::setCanBuyHouse(bool cbh) {
	canBuyHouse = cbh;
}

void MonopdField::setCanSellHouse(bool csh) {
	canSellHouse = csh;
}

void MonopdField::setFieldRect(QRect rect) {
	fieldRect = rect;
}
