// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef MONOPGROUP_H
#define MONOPGROUP_H

#include <QList>
#include "src/Monopd/monopdfield.h"

class MonopGroup {
	public:
		MonopGroup(int id, QString n);
		int getId();
		QString getName();
		int getNumEstates();
		MonopdField* getEstate(int i);

		void addEstate(MonopdField* f);

		bool getAllEstatesSameOwner(); //Checks, if all estates of the group have the same , not -1 owner
		int getNumHouses(); //Checks, if there is a house on any of the Estate of the groups
		bool canBuyHouseRow();
		bool canSellHouseRow();

	private:
		int gid;
		QString name;
		QList<MonopdField*> estates;

};

#endif // MONOPGROUP_H
